Show / Hide Table of Contents

# Class RawPayload

An SeString Payload representing unhandled raw payload data. Mainly useful for constructing unhandled hardcoded payloads, or forwarding any unknown payloads without modification.

##### Inheritance

System.Object
Payload
RawPayload

##### Inherited Members

Payload.Dirty
Payload.DataResolver
Payload.Encode(Boolean)
Payload.Decode(BinaryReader, DataManager)
Payload.START_BYTE
Payload.END_BYTE
Payload.GetInteger(BinaryReader)
Payload.MakeInteger(UInt32, Boolean, Boolean)
Payload.GetMarkerForIntegerBytes(Byte[])
Payload.GetMarkerForPackedIntegerBytes(Byte[])
Payload.GetPackedIntegers(BinaryReader)
Payload.MakePackedInteger(UInt32, UInt32, Boolean)
System.Object.Equals(System.Object, System.Object)
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()

###### Namespace: Dalamud.Game.Chat.SeStringHandling.Payloads

###### Assembly: Dalamud.dll

##### Syntax

    public class RawPayload : Payload

### Constructors

| Improve this Doc View Source

#### RawPayload(Byte[])

##### Declaration

    public RawPayload(byte[] data)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte[] | data |

### Properties

| Improve this Doc View Source

#### Data

The entire payload byte sequence for this payload. The returned data is a clone and modifications will not be persisted.

##### Declaration

    [JsonIgnore]
    public byte[] Data { get; }

##### Property Value

Type | Description
--- | ---
System.Byte[] |

| Improve this Doc View Source

#### LinkTerminator

A fixed Payload representing a common link-termination sequence, found in many payload chains.

##### Declaration

    public static RawPayload LinkTerminator { get; }

##### Property Value

Type | Description
--- | ---
RawPayload |

| Improve this Doc View Source

#### Type

##### Declaration

    public override PayloadType Type { get; }

##### Property Value

Type | Description
--- | ---
PayloadType |

##### Overrides

Payload.Type

### Methods

| Improve this Doc View Source

#### DecodeImpl(BinaryReader, Int64)

##### Declaration

    protected override void DecodeImpl(BinaryReader reader, long endOfStream)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IO.BinaryReader | reader |
System.Int64 | endOfStream |

##### Overrides

Payload.DecodeImpl(BinaryReader, Int64)
| Improve this Doc View Source

#### EncodeImpl()

##### Declaration

    protected override byte[] EncodeImpl()

##### Returns

Type | Description
--- | ---
System.Byte[] |

##### Overrides

Payload.EncodeImpl()
| Improve this Doc View Source

#### Equals(Object)

##### Declaration

    public override bool Equals(object obj)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Object | obj |

##### Returns

Type | Description
--- | ---
System.Boolean |

##### Overrides

System.Object.Equals(System.Object)
| Improve this Doc View Source

#### ToString()

##### Declaration

    public override string ToString()

##### Returns

Type | Description
--- | ---
System.String |

##### Overrides

System.Object.ToString()